Skip to main content
POST
/
digilocker
/
verify-account
curl --request POST \ --url https://sandbox.cashfree.com/verification/digilocker/verify-account \ --header 'Content-Type: application/json' \ --header 'x-client-id: <api-key>' \ --header 'x-client-secret: <api-key>' \ --data ' { "verification_id": "ABC001238", "mobile_number": "101340612345" } '
{ "verification_id": "ABC00123", "reference_id": 12345, "mobile_number": 1234567899, "status": "ACCOUNT_EXISTS", "digilocker_id": "8aa626bf-34aa-5ffc-a123-f69207e129a7" }

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Body

application/json

Find the request parameters to verify a Digilocker account.

verification_id
string
required

It is a unique ID you create to identify the API request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-). and underscore ( _ ) are allowed.

Example:

"ABC00123"

mobile_number
string

It is the mobile number of a user. Either an Aadhaar number or mobile is required to verify whether a Digilocker account exists. (conditonal mandatory)

Example:

"9988777666"

aadhaar_number
string

It is the unique 12-digit identification number issued by the Unique Identification Authority of India (UIDAI). Either an Aadhaar number or mobile is required to verify whether a Digilocker account exists. (conditonal mandatory)

Example:

"655675523712"

Response

Success response for digilocker account detail.

verification_id
string

It displays the unique ID you created to identify this API request.

Example:

"ABC00123"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64.

Example:

12345

mobile_number
string

Mobile number of the individual.

Example:

"1234567899"

aadhaar_number
string

Masked Aadhaar number of the individual.

Example:

"XXXXXXXX3712"

status
string

It displays the status of the digilocker account. Possible values are:

  • ACCOUNT_EXISTS: Digilocker account exists
  • ACCOUNT_NOT_FOUND: Digilocker account not found
Example:

"ACCOUNT_EXISTS"

digilocker_id
string

It is a unique 36-character DigiLocker ID of the user account.

Example:

"8aa626bf-34aa-5ffc-a123-f69207e129a7"